function M = show(jet,upper,lower,sound)

STEPS = size(jet,1);
JETPOINTS = size(jet,2);
UPPERPOINTS = size(upper,2);
LOWERPOINTS = size(lower,2);
SOUNDPOINTS = size(sound,1);

FIGURE = gcf;

M = moviein(steps,FIGURE);

for step=1:STEPS

  subplot(2,2,1);
  title('JetLine');
  stairs(jet(step,:));
  axis([0 JETPOINTS-1 -500 500]);

  subplot(2,2,2);
  title('UpperLine');
  stairs(upper(step,:));
  axis([0 UPPERPOINTS-1 -500 500]);

  subplot(2,2,4);
  title('LowerLine');
  stairs(reverse(lower(step,:)));
  axis([0 LOWERPOINTS-1 -500 500]);

  subplot(2,2,3);
  title('Output');
  stairs(sound(1:step));
  axis([0 SOUNDPOINTS-1 -500 500]);

  M(:,step) = getframe(FIGURE);

end

